<template>
  <section class="container clearfix">
    <div class="page-folder">
      <ArticleList
        :articles="articles"
        :links="links"
        :fetch-articles="(link) => fetchArticles(link)"
      />
    </div>
  </section>
</template>

<script>
export default {
  layout: 'news',
  name: 'News',
  components: {
    ArticleList: () => import('~/components/Articles/ArticleList'),
  },
  async asyncData({ params, $axios }) {
    const articles = await $axios.$get('/article/posts/' + params.cateSlug)
    const metaseo = await $axios.$get('/blogCategory/seo/' + params.cateSlug)
    return {
      articles: articles.data,
      links: articles.links,
      metaseo: metaseo.data,
    }
  },
  methods: {
    async fetchArticles(link) {
      const articles = await this.$axios.$get(link)
      this.articles = [...this.articles, ...articles.data]
      this.links = articles.links
    },
  },
  head() {
    return {
      title: this.metaseo.title ? this.metaseo.title : 'Trang tin thinkpro',
      meta: [
        {
          hid: 'description',
          name: 'description',
          content: this.metaseo.description,
        },
        {
          name: 'keywords',
          content: this.metaseo.keywords ? this.metaseo.keywords.slice() : '',
        },
      ],
    }
  },
}
</script>
